Bug 1192115

Summary: Switch pidgin to Python 3
Product: [Fedora] Fedora Reporter: Bohuslav "Slavek" Kabrda <bkabrda>
Component: pidginAssignee: Jan Synacek <jsynacek>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: itamar, jkaluza, jskarvad, jsynacek, stu
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pidgin-2.10.11-2.fc23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-13 07:57:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bohuslav "Slavek" Kabrda 2015-02-12 16:10:54 UTC
Hi, as per [1], I'd like to ask you to switch to building with Python 3. pidgin upstream is Python 3 compatible, so this should be a simple matter of switching from Python 2 to Python 3. Please do this for both F22 and rawhide. Feel free to contact me if you need help.
Thanks.

[1] https://fedoraproject.org/wiki/Changes/Python_3_Migration_Improvements

Comment 1 Jan Synacek 2015-02-13 07:57:10 UTC
Having seen your talk on python3, I will believe you!

http://pkgs.fedoraproject.org/cgit/pidgin.git/commit/?id=cc1e1bf84f715b094b504e62183523a97498d844

Comment 2 Bohuslav "Slavek" Kabrda 2015-02-13 08:01:35 UTC
(In reply to Jan Synacek from comment #1)
> Having seen your talk on python3, I will believe you!

You just made my day :) Thank you very much!

(Just for the record, here's the upstream issue with referenced patch for Python 3 compat: https://developer.pidgin.im/ticket/15624)

> http://pkgs.fedoraproject.org/cgit/pidgin.git/commit/
> ?id=cc1e1bf84f715b094b504e62183523a97498d844